Simulate (Sandbox)

POST /v0/customers/{customerId}/virtual-account/simulate

Note: This endpoint is only available in non-production environments.

circle-exclamation

Path parameters

  • customerId (string, required) The unique identifier of the customer

Header parameters

  • Authorization (string, required) Token for authentication

Request body (application/json)

  • action (string · enum, required) The action to perform Possible values: issue_pending_virtual_account

  • virtual_account_id (string · uuid, required) The unique identifier of the virtual account to issue

Request example

Request
POST /v0/customers/{customerId}/virtual-account/simulate HTTP/1.1
Host: gateway.noxxo.com
Authorization: text
Content-Type: application/json
Accept: */*
Content-Length: 102

{
  "action": "issue_pending_virtual_account",
  "virtual_account_id": "123e4567-e89b-12d3-a456-426614174000"
}

Responses

  • 201 — Virtual account successfully issued (application/json) Response body example:

chevron-right201 Response body (expand)hashtag
  • 400 — Bad request (Invalid input or virtual account already active)

  • 403 — Forbidden (Not available in production environment)

  • 500 — Internal server error

Last updated